1. Models
  2. Get Model
GET
/models/{model_name}
curl --request GET \
     --url https://app.backboard.io/api/models/{model_name} \
     --header 'X-API-Key: <api-key>' \
     --header 'authorization: <authorization>' \
     --header 'x_session_token: <x_session_token>'

​
Authorizations

X-API-Key
required
string
API Key authentication

​
Query Parameters

model_name
required
string
authorization
x_session_token

​
Response

application/json
  • 200

  • 422

Successful Response

name
required
string

Name of the model

provider
required
string

Provider of the model (e.g., openai, anthropic)

model_type
required
string

Type of model: llm, embedding, image, video, stt, tts, realtime, or system_one

context_limit
required
integer

Maximum context window size in tokens

description
string | null

Description

display_name
string | null

Display Name

architecture
object | null

Architecture

supported_parameters
array | null

Supported Parameters

video_capabilities
object | null

Video Capabilities

billing
object | null

Billing

max_output_tokens
integer | null

Maximum number of output tokens

supports_tools
boolean | null

Whether the model supports tool/function calling

supports_vision
boolean | null

Whether the model accepts image input

supports_audio_input
boolean | null

Whether the model accepts audio input

supports_video_input
boolean | null

Whether the model accepts video input

supports_image_output
boolean | null

Whether the model can generate images

supports_audio_output
boolean | null

Whether the model can generate audio/speech

supports_video_output
boolean | null

Whether the model can generate video

supports_thinking
boolean | null

Whether the model is marked as reasoning/thinking capable

thinking_controls
object

ThinkingControlsRead

supports_json_output
boolean | null

Whether the catalog marks this model as supporting JSON object / structured text responses (null if unknown)

api_mode
string | null

API mode/routing hint (e.g., chat_completions, responses, completions)

embedding_dimensions
integer | null

Embedding dimensions (for embedding models)

input_cost_per_1m_tokens
number | null

Text input cost per 1M tokens (USD)

cached_input_cost_per_1m_tokens
number | null

Cached text input cost per 1M tokens (USD)

cache_write_input_cost_per_1m_tokens
number | null

Cache-write text input cost per 1M tokens (USD)

image_input_cost_per_1m_tokens
number | null

Image input cost per 1M tokens (USD)

output_cost_per_1m_tokens
number | null

Text output cost per 1M tokens (USD)

image_output_cost_per_1m_tokens
number | null

Image output cost per 1M tokens (USD)

cost_per_image
number | null

Flat cost per generated image (USD), for dall-e style models

tier_change_token_threshold
integer | null

Token threshold after which tier-2 pricing applies

input_cost_per_1m_tokens_tier2
number | null

Tier-2 input cost per 1 million tokens

cached_input_cost_per_1m_tokens_tier2
number | null

Tier-2 cached input cost per 1 million tokens

cache_write_input_cost_per_1m_tokens_tier2
number | null

Tier-2 cache-write input cost per 1 million tokens

output_cost_per_1m_tokens_tier2
number | null

Tier-2 output cost per 1 million tokens

last_updated
string | null

Last time the model was updated

system_one_capabilities
object | null

System One Capabilities